Create job (New API)

This API creates a job. This single API covers filter, schedule, and OTA/Property/File Transfer jobs. This API provides efficient solution (when compared to the existing solution) to create a new job and better customer experience.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Job name.

int32
required

Job type identifier number. Any one of the following:
1: Set properties
2: OTA
3: File transfer

int32
required

Unique filter identifier number

string
required

Execution method: "ONE_TIME" or "CONTINUOUS".

string

Delivery option: "SYSTEM_PUSH" or "USER_CONSENT".

string

OEM Model (required for Job or Filter)

string

Short description of the job.

job_metadata
object

List of data objects.

int32
Defaults to 0

Number of retry if one of the action of the device is failure, how many times should retry the action.

json

An object that is used for job action, the payload depends on different type of action.

json

A JSON string containing the stage configuration for the job.
Example:
stage_config: [ { stage: 1, devices: 10 }, { stage: 2, devices: * } ]

json

filter_id or filter. This is same as Filter Creation payload. For more information, please refer: Create filter

json

This is same as Schedule Creation payload. For more information, please refer: Create schedule

Responses

401

Unauthorized

403

Forbidden

422

Unprocessable Entity

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json